VST 3 Examples VST 3.7 SDK for developing VST plug-in

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Attributes | List of all members
JX10Processor::VOICE Struct Reference

`#include <mdaJX10Processor.h>`

## Public Attributes
float | period
float | p
float | pmax
float | dp
float | sin0
float | sin1
float | sinx
float | dc
float | detune
float | p2
float | pmax2
float | dp2
float | sin02
float | sin12
float | sinx2
float | dc2
float | fc
float | ff
float | f0
float | f1
float | f2
float | saw
float | env
float | envd
float | envl
float | fenv
float | fenvd
float | fenvl
float | lev
float | lev2
float | target
int32 | note
int32 | noteID
float | snaPitchbend
float | snaVolume
float | snaPanLeft
float | snaPanRight

## Member Data Documentation

float period

float p

float pmax

float dp

float sin0

float sin1

float sinx

float dc

float detune

float p2

float pmax2

float dp2

float sin02

float sin12

float sinx2

float dc2

float fc

float ff

float f0

float f1

float f2

float saw

float env

float envd

float envl

float fenv

float fenvd

float fenvl

float lev

float lev2

float target

int32 note

int32 noteID

float snaPitchbend

float snaVolume

float snaPanLeft

float snaPanRight

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.